:root {
    --dark-blue: #1D355D;
    --light-blue: #6066d0;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


body {
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background: url(images/map4.svg) no-repeat;
    background-size: cover;
    font-family: Poppins, sans-serif;
    font-weight: 500;
    overflow: hidden;
}

/* Main Containers */
.container {
    width: 460px;
    background: white;
    padding: 1rem 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 1.5rem;
    margin: 0 auto;
    position: relative;
}

.title,
.top-img {
    position: absolute;
    top: 0;
}

.top-img {
    right: 0;
    transform: translateY(-60%)
}

.title {
    font-weight: 700;
    left: 0;
    color: white;
    transform: translateY(-100%)
}

.start-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    color: var(--dark-blue);
    height: 400px;
    text-align: center;
    margin-top: 2rem;
}

.start-container p {
    text-transform: uppercase;
}

.game-container {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: .5rem;
}

.end-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    gap: 1rem;
    height: 400px;
}

button {
    background: var(--dark-blue);
    border: 2px solidvar(--dark-blue);
    color: white;
    border-radius: 5px;
    font-family: Poppins, sans-serif;
    font-weight: 500;
    width: 200px;
    height: 50px;
    font-size: 1rem;
    cursor: pointer;
    transition: .5s ease;
}

button:hover {
    background: white;
    color: var(--dark-blue);
}


.anwser-box {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
}

label {
    width: 400px;
    height: 48px;
    cursor: pointer;
    padding: .25rem;
    margin: .25rem;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 0.75rem;
    border: 2px solid var(--light-blue);
    color: var(--light-blue);
    font-size: 1rem;
    line-height: 1;
    transition: all .3s ease;
}

label:hover {
    transform: scale(.95);
}

#flag {
    height: 80px;
}

#flag img {
    height: 80px;
    object-fit: contain;
    box-shadow: 0 0 10px rgb(198, 197, 197);
}

h2 {
    font-size: 1.25rem;
    margin: .5rem 0;
}


/* Answer styling */
.wrong {
    background: #EA8282;
    border-color: #EA8282;
    color: white;
}

.correct {
    background: #60BF88;
    border-color: #60BF88;
    color: white;
}

input:checked+label {
    color: white;
    background: #F9A826;
    border-color: #F9A826;
}

input {
    display: none;
}

#score,
#chances {
    position: absolute;
    bottom: -60px;
    color: white;
    font-weight: 700;
    font-size: 1.5rem;
}

#score {
    left: 0;
}

#chances {
    right: 0;
    animation: beat 5s infinite;
}


#result,
#highscore {
    color: #60BF88;
    font-size: 2rem;
    font-weight: 700;
    margin: 0 .25rem;
}


.hidden {
    display: none;
}

/* Animated Images */
.background-icon {
    fill: white;
    position: absolute;
    height: 150px;
    opacity: .1;
    z-index: -10;

}

.flag {
    right: 5%;
    top: 15%;
    animation: move-h 60s infinite;

}

.q-mark {
    left: 10%;
    top: 5%;
    animation: rotate 60s infinite;
}

.q-mark-2 {
    right: 20%;
    bottom: 15%;
    animation: rotateAndScale 60s infinite;
}

.globe {
    bottom: 15%;
    left: 20%;
    animation: move-v 60s infinite;
}

/* Animations */
@keyframes beat {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.3);
    }

    100% {
        transform: scale(1);
    }
}

@keyframes rotate {
    0% {
        transform: rotate(0deg)
    }

    100% {
        transform: rotate(360deg);
    }
}

@keyframes rotateAndScale {
    0% {
        transform: rotate(360deg) scale(.5)
    }

    50% {
        transform: rotate(180deg) scale(1.5);
    }

    100% {
        transform: rotate(0deg) scale(.5);
    }
}

@keyframes move-v {
    0% {
        transform: translateY(0) scale(1)
    }

    25% {
        transform: translateY(-100px) scale(1.5)
    }

    50% {
        transform: scale(3)
    }

    75% {
        transform: translateY(100px) scale(1.5)
    }

    100% {
        transform: translateX(0) scale(1)
    }
}

@keyframes move-h {
    0% {
        transform: translateX(0)
    }

    25% {
        transform: translateX(50px)
    }

    75% {
        transform: translateX(-50px)
    }

    100% {
        transform: translateX(0)
    }
}

@media (max-width: 500px) {
    .container {
        width: 90vw;
        margin: 0;
        padding: 1rem;
    }

    .game-container {
        margin: 0;
        width: 100%;
    }

    .anwser-box {
        width: 100%;
    }

    label {
        width: 100%;
    }

    .top-img {
        width: 40vw;
    }

    .title {
        font-size: 1.5rem;
    }

    .background-icon {
        position: absolute;
        height: 100px;
    }

    .flag {
        right: 5%;
        top: 3%;

    }

    .q-mark {
        left: 20%;
        top: 2%;
    }

    .q-mark-2 {
        right: 5%;
        bottom: 5%;
    }

    .globe {
        bottom: 0%;
        left: 20%;
    }
}

@media (max-width: 380px) {
    .title {
        font-size: 1rem;
    }

    #flag {
        height: 60px;
    }

    #flag img {
        height: 60px;
    }

}